RIO_DISC_PEER(9)

NAME
rio_disc_peer - Recursively discovers a RIO network through a master port

SYNOPSIS

int rio_disc_peer(struct rio_net * net, struct rio_mport * port, u16 destid, u8 hopcount, struct rio_dev * prev, int prev_port);

ARGUMENTS

net
    RIO network being discovered

port
    Master port to send transactions

destid
    Current destination ID in network

hopcount
    Number of hops into the network

prev
    previous rio_dev

prev_port
    previous port number

DESCRIPTION

Recursively discovers a RIO network. Transactions are sent via the master port passed in port.

AUTHOR

Matt Porter <mporter@kernel.crashing.org>, <mporter@mvista.com>
    Author.

COPYRIGHT